Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.util
Class EnumValueImpl

    java.lang.Object
      de.grogra.util.EnumValueImpl

All Implemented Interfaces:
  Described, EnumValue, javax.swing.ListModel

    public class EnumValueImpl

extends java.lang.Object
implements EnumValue, Described, javax.swing.ListModel

Field Summary

Fields inherited from interface de.grogra.util.Described
`ACCELERATOR_KEY, ICON, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, TITLE`

Constructor Summary
`EnumValueImpl(I18NBundle i18n, java.lang.String key, javax.swing.ListModel list)`
`EnumValueImpl(java.lang.Object value, javax.swing.ListModel list)`

Method Summary
`void` | `addListDataListener(javax.swing.event.ListDataListener l)`
`boolean` | `equals(java.lang.Object o)`
`java.lang.Object` | `getDescription(java.lang.String type)` Returns the description associated with the given `type`.
`java.lang.Object` | `getElementAt(int index)`
`javax.swing.ListModel` | `getList()`
`int` | `getSize()`
`java.lang.Object` | `getValue()`
`void` | `removeListDataListener(javax.swing.event.ListDataListener l)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EnumValueImpl

    public EnumValueImpl(I18NBundle i18n,
                         java.lang.String key,
                         javax.swing.ListModel list)

### EnumValueImpl

    public EnumValueImpl(java.lang.Object value,
                         javax.swing.ListModel list)

Method Detail

### addListDataListener

    public void addListDataListener(javax.swing.event.ListDataListener l)

  Specified by:
    `addListDataListener` in interface `javax.swing.ListModel`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### getDescription

    public java.lang.Object getDescription(java.lang.String type)

  Description copied from interface: `Described`
  Returns the description associated with the given `type`. `type` has to be one of the predefined constants of this interface, the returned value has to conform to the specification of the used constant.

  Specified by:
    `getDescription` in interface `Described`
  Parameters:
    `type` - the type of description
  Returns:
    the description, or `null` if no description is available

### getElementAt

    public java.lang.Object getElementAt(int index)

  Specified by:
    `getElementAt` in interface `javax.swing.ListModel`

### getList

    public javax.swing.ListModel getList()

  Specified by:
    `getList` in interface `EnumValue`

### getSize

    public int getSize()

  Specified by:
    `getSize` in interface `javax.swing.ListModel`

### getValue

    public java.lang.Object getValue()

### removeListDataListener

    public void removeListDataListener(javax.swing.event.ListDataListener l)

  Specified by:
    `removeListDataListener` in interface `javax.swing.ListModel`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD